GROMACS - Bug #1412

GMX_BUILD_OWN_FFTW -- breaks without Fortran compiler?
12/28/2013 10:24 PM - Peter Kasson

Status: Closed

Priority: Normal

Assignee: Mark Abraham

Category: build system

Target version: 4.6.6

Affected version - 4.6-4.6.5 Difficulty: uncategorized
extra info:

Affected version: 4.6.5

Description

| encountered an issue in building Gromacs/Native Client where the GMX_BUILD_OWN_FFTW would fail because it was missing a
functional fortran compiler. I've worked around this by introducing an option to skip fortran compilation in the FFTW build. Roland
asked if this was a general situation and, if so, whether we should set the disable-fortran option as a default. Comments?

(BTW this was in release-4-6, but | think it should apply to master as well)

Thanks!

Associated revisions

Revision ed04865c - 12/29/2013 02:52 AM - Christoph Junghans
cmake: make GMX_BUILD_OWN_FFTW work without fortran compiler

Fixes #1412

Change-Id: 14739¢c112630ad7e264ce314d2da0b29932ea3041

History

#1 - 12/29/2013 02:49 AM - Christoph Junghans

Yes, we should set "--disable-fortran" by default! The fortran support in our internal fftw is anyway unrelated to the long gone fortran support in

gromacs.

#2 - 12/29/2013 02:53 AM - Gerrit Code Review Bot

Gerrit received a related patchset '1' for Issue #1412.
Uploader: Christoph Junghans (junghans@votca.org)
Change-Id: 14739¢112630ad7e264ce314d2da0b29932ea3041
Gerrit URL: hitps://gerrit.gromacs.org/2939

#3 - 12/30/2013 06:11 PM - Teemu Murtola
- Status changed from New to Resolved

- Target version set to 4.6.6

- Affected version - extra info set to 4.6-4.6.5

- Affected version changed from 4.6.x to 4.6.5

Was fixed by the linked Gerrit change. Auto-updating the issues in Redmine doesn't seem to work.

#4 - 12/30/2013 08:08 PM - Christoph Junghans

We need to merge 4.6 into master and update <https://gerrit.gromacs.org/#/c/2919/&gt;, too.

#5 - 01/07/2014 02:31 PM - Christoph Junghans
- % Done changed from 0 to 100

Applied in changeset ed04865c0994b5be50bf09c836496a1f1db9af28.

#6 - 01/07/2014 09:50 PM - Rossen Apostolov
Teemu Murtola wrote:

Was fixed by the linked Gerrit change. Auto-updating the issues in Redmine doesn't seem to work.

If you mean auto-updating by the gerrit hook, I've disabled that because it may lead to undesired behaviour.

#7 - 01/07/2014 09:51 PM - Rossen Apostolov

- Status changed from Resolved to Closed
